> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensource-together.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tech stacks

> Retrieve all available tech stacks ordered by type and name



## OpenAPI

````yaml get /techstacks
openapi: 3.0.0
info:
  title: OST API
  description: OST API endpoints
  version: '0.1'
  contact: {}
servers:
  - url: https://api.opensource-together.com
    description: Backend server
security: []
tags:
  - name: ost
    description: ''
paths:
  /techstacks:
    get:
      tags:
        - TechStacks
      summary: Get all tech stacks
      description: Retrieve all available tech stacks ordered by type and name
      operationId: TechStackController_findAll
      parameters: []
      responses:
        '200':
          description: Tech stacks retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: ^tst_[0-9a-fA-F]{32}$
                          example: tst_34c5c442c32d45c9b3d8688c613fa914
                          description: Public ID of the tech stack
                        name:
                          type: string
                          example: React
                          description: Name of the technology or tool
                        iconUrl:
                          type: string
                          example: >-
                            https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg
                          description: URL to the technology icon
                        type:
                          type: string
                          enum:
                            - TECH
                            - LANGUAGE
                          example: TECH
                          description: Type of the tech stack item
                      required:
                        - id
                        - name
                        - iconUrl
                        - type
                  timestamp:
                    type: string
                    format: date-time
                    example: '2025-09-16T20:20:51.013Z'
                    description: Response timestamp
                required:
                  - data
                  - timestamp
              examples:
                Multiple tech stacks:
                  value:
                    data:
                      - id: tst_34c5c442c32d45c9b3d8688c613fa914
                        name: React
                        iconUrl: >-
                          https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg
                        type: TECH
                      - id: tst_c374e6f51e2f4347a58a2067e286a316
                        name: TypeScript
                        iconUrl: >-
                          https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/typescript/typescript-original.svg
                        type: LANGUAGE
                    timestamp: '2025-09-16T20:20:51.013Z'

````